Skip to main content
PUT
/
v2
/
session
/
apps
/
{appID}
/
config
/
stepup
Update step-up config
curl --request PUT \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/stepup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signal_hook_url": "<string>",
  "jwks_url": "<string>",
  "step_keys": [
    {
      "key": "<string>",
      "description": "<string>"
    }
  ],
  "allowed_scopes": [
    "<string>"
  ]
}
'
{
  "code": "invalid_request",
  "status": "bad_request",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Body

application/json
signal_hook_url
string<uri>
required
Example:

"https://api.example.com/stepup/signal"

jwks_url
string<uri>
required
Example:

"https://api.example.com/.well-known/jwks.json"

step_keys
object[]
required
allowed_scopes
string[]
required

Response

OK